The BOOST_PP_ITERATION_FINISH macro expands to the upper bound of the current file-iteration depth.

#### Usage

BOOST_PP_ITERATION_FINISH()

#### Remarks

This macro is only valid when a file-iteration is in progress.

#### Requirements

Header: <boost/preprocessor/iteration/iterate.hpp>

#### Sample Code

    // file.h
    #if !BOOST_PP_IS_ITERATING

       #ifndef FILE_H_
       #define FILE_H_

       #include <boost/preprocessor/iteration/iterate.hpp>

       #define BOOST_PP_ITERATION_PARAMS_1 (3, (1, 10, "file.h"))
       #include BOOST_PP_ITERATE()

       #endif

    #elif BOOST_PP_ITERATION_DEPTH() == 1

       start -> BOOST_PP_ITERATION_START()
       iteration -> BOOST_PP_ITERATION()
       finish -> BOOST_PP_ITERATION_FINISH()

    #endif